/**
    Copyright 2017 Andrea "Stock" Stocchero

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

	    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*/
package org.pepstock.charba.client.items;

import org.pepstock.charba.client.commons.GenericJavaScriptObject;

/**
 * Object which maps the chart area item of CHART.JS chart java script object.
 * @author Andrea "Stock" Stocchero
 * @see org.pepstock.charba.client.AbstractChart
 */
public final class ChartAreaItem extends BaseBoxItem {

	/**
	 * Wraps the CHART.JS java script object.
	 * 
	 * @param javaScriptObject CHART.JS java script object
	 */
	ChartAreaItem(GenericJavaScriptObject javaScriptObject) {
		super(javaScriptObject);
	}
}